export  interface ISystemApi {
    getSystemInfo(): Promise<any>;
    alert(message: string): void;
  }
  
  export default class SystemApi implements ISystemApi {
    alert(message: string): void {
        alert(message);
    }
    getSystemInfo(): Promise<any> {
      const systemInfo = {
        name: "systemInfo",
        version: "1.0.0",
      };
      return new Promise((resolve, reject) => {
        resolve(systemInfo);
      });
    }
  }
  